
require 'facets/core/string/underscore'

class Symbol

  def underscore
    self.to_s.underscore.to_sym
  end

end



#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCSymbol < Test::Unit::TestCase

    def test_underscore
      assert_equal( :tis_a_test, :TisATest.underscore )
    end

  end

=end
